import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'index',
      component: () => import('./views/home/index.vue'),
    },
    //重整理结构目录后的路由部分
    {
      path: '/want/info/index',
      name: 'infoIndex',
      component: () => import('./views/want/info/index.vue'),
    },
    {
      path: '/want/invite/index',
      name: 'inviteIndex',
      component: () => import('./views/want/invite/index.vue'),
    },
    {
      path: '/want/resume/index',
      name: 'resumeIndex',
      component: () => import('./views/want/resume/index.vue'),
    },
    {
      path: '/want/interview/index',
      name: 'interviewIndex',
      component: () => import('./views/want/interview/index.vue'),
    },
    {
      path: '/want/interview/detail',
      name: 'interviwDetail',
      component: () => import('./views/want/interview/detail.vue'),
    },
    {
      path: '/want/practice/index',
      name: 'practiceIndex',
      component: () => import('./views/want/practice/index.vue'),
    },
    {
      path: '/login',
      component: () => import('./views/login/login.vue'),
    },
  ],
});
