const path = require('path');
const resumeSrc = path.resolve(__dirname, '../web-common');
module.exports = {
  publicPath: '/',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@resume': resumeSrc,
        },
      },
    });
  },
  devServer: {
    port: '8002',
    //api地址前缀
    proxy: {
      '/api': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/files': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://smart.cc-lotus.info',
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/loginProject': {
        target: 'http://localhost:8001',
        changeOrigin: true,
        ws: true,
      },
      '/studentProject': {
        target: 'http://localhost:8002',
        changeOrigin: true,
        ws: true,
      },
      '/corpProject': {
        target: 'http://localhost:8003',
        changeOrigin: true,
        ws: true,
      },
      '/protalProject': {
        target: 'http://localhost:8004',
        changeOrigin: true,
        ws: true,
      },
      '/mobileProject': {
        target: 'http://localhost:8005',
        changeOrigin: true,
        ws: true,
      },
    },
  },
};
